# Uses of Class
org.codehaus.janino.JavaSourceIClassLoader

Packages that use JavaSourceIClassLoader
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of JavaSourceIClassLoader in org.codehaus.janino

Methods in org.codehaus.janino that return JavaSourceIClassLoader
Modifier and Type
Method
Description
`JavaSourceIClassLoader`
JavaSourceIClassLoader.`options(EnumSet<JaninoOption> options)`
Sets the options for all future compilations.
Constructors in org.codehaus.janino with parameters of type JavaSourceIClassLoader
Modifier
Constructor
Description
``
`JavaSourceClassLoader(ClassLoader parentClassLoader, JavaSourceIClassLoader iClassLoader)`
Constructs a `JavaSourceClassLoader` that finds classes through an `JavaSourceIClassLoader`.